All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
cli.h File Reference
`#include <ptlib.h>`
`#include <ptlib/sockets.h>`
`#include <list>`

Go to the source code of this file.

## Classes

class | PCLI
| Command Line Interpreter class. More...
class | PCLI::Context
| Context for command line interpreter. More...
class | PCLI::Arguments
| This class is an enhancement to PArgList to add context. More...
struct | PCLI::InternalCommand
class | PCLIStandard
| Command Line Interpreter over standard input/output. More...
class | PCLISocket
| Command Line Interpreter over TCP sockets. More...
class | PCLITelnet
| Command Line Interpreter over Telnet sockets. More...